## com.puppycrawl.tools.checkstyle.api
Interface Contextualizable

All Known Subinterfaces:
  FileSetCheck

All Known Implementing Classes:
  AbstractFileSetCheck, AutomaticBean

public interface Contextualizable

A Component that needs context information from it's container to work. The container will create a Context object and pass it to this Contextualizable. Contextualization will occur before configuration. The general idea of Context/Contextualizable was taken from Jakarta's Avalon framework.

Author:
  lkuehne

Method Summary
`void` `contextualize(Context aContext)` Sets the context for this Component.

Method Detail

### contextualize

    public void contextualize(Context aContext)
                       throws CheckstyleException

  Sets the context for this Component.

  Parameters:
    `aContext` - the context.
  Throws:
    `CheckstyleException` - if there is a contextualization error.

Back to the Checkstyle Home Page